package com.sw.mes.yb.report.service;

import com.sw.mes.yb.report.dto.*;

import java.math.BigDecimal;
import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface NumberOfOperationsService {

    /**
     * 中间最上面
     * @return
     */
    List<NumberOfOperationsDto> getNumerOfOperations(String area);

    /**
     * 中间第二个
     * @return
     */
    NumberOfErrorDto getConstitutionalDiagram(String area);

    /**
     * 中间下面第一个
     * @return
     */
    WorkHourDto getConstitutionalDiagram1(String area) throws Exception;

    /**
     * 中间下面第二个
     * @return
     */
    PerProductDto getConstitutionalDiagram2(String area);

    /**
     * 中间下面第三个
     * @return
     */
    PerProductDto getConstitutionalDiagram3(String area);

    /**
     * 左上
     * @param area
     * @return
     */
    BigDecimal getYield(String area, String type);

    /**
     * 左中
     * @param area
     * @return
     */
    PerProductDto getYieldChart(String area);

    /**
     * 左下
     * @param area
     * @return
     */
    List<HourListDto> getHourList(String area) throws IllegalAccessException;

    List<ErrorDeviceDto> getErrorDevice(String area);

    List<ErrorListDto> getErrorList(String area);

}
